ioremap
Prev | Chapter 5. Public Functions Provided |

## Name

ioremap — map bus memory into CPU space

## Synopsis

`void __iomem * ioremap (` | unsigned long | offset,
| unsigned long | size`)`;

## Arguments

`offset`

  bus address of the memory

`size`

  size of the resource to map

## Description

ioremap performs a platform specific sequence of operations to make bus memory CPU accessible via the readb/readw/readl/writeb/ writew/writel functions and the other mmio helpers. The returned address is not guaranteed to be usable directly as a virtual address.

Prev | Up |
phys_to_virt | Home |